Index: app.c
===================================================================
RCS file: /usr/cvsroot/asterisk/app.c,v
retrieving revision 1.40
diff -u -r1.40 app.c
--- app.c	5 Jan 2005 19:56:47 -0000	1.40
+++ app.c	7 Jan 2005 02:20:23 -0000
@@ -36,6 +36,33 @@
 
 #define MAX_OTHER_FORMATS 10
 
+void ast_app_parse_feature_flags(char *instr, struct ast_bridge_config *config) 
+{	
+	char *letter = NULL;
+
+	for(letter = instr; *letter; letter++) {
+		switch(*letter) {
+		case 'T':
+			config->features_caller |= AST_FEATURE_REDIRECT;
+			break;
+		case 't':
+			config->features_callee |= AST_FEATURE_REDIRECT;
+			break;
+		case 'H':
+			config->features_caller |= AST_FEATURE_DISCONNECT;
+			break;
+		case 'h':
+			config->features_callee |= AST_FEATURE_DISCONNECT;
+			break;
+		case 'W':
+			config->features_caller |= AST_FEATURE_AUTOMON;
+			break;
+		case 'w':
+			config->features_callee |= AST_FEATURE_AUTOMON;
+			break;
+		}
+	}
+}
 
 int ast_app_dtget(struct ast_channel *chan, const char *context, char *collect, size_t size, int maxlen, int timeout) 
 {
Index: include/asterisk/app.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/app.h,v
retrieving revision 1.21
diff -u -r1.21 app.h
--- include/asterisk/app.h	5 Jan 2005 19:56:47 -0000	1.21
+++ include/asterisk/app.h	7 Jan 2005 02:20:23 -0000
@@ -93,6 +93,9 @@
 //! Present a dialtone and collect a certain length extension.  Returns 1 on valid extension entered, -1 on hangup, or 0 on invalid extension.
 int ast_app_dtget(struct ast_channel *chan, const char *context, char *collect, size_t size, int maxlen, int timeout);
 
+//! interpret a string of letters into various bridge flags Tt Ww Hh
+void ast_app_parse_feature_flags(char *instr, struct ast_bridge_config *config);
+
 #if defined(__cplusplus) || defined(c_plusplus)
 }
 #endif
